#!/usr/bin/env python

import sys
import re

follow = open("follow.proper.out_mea","r")

s = {}
for line in follow:
    if not re.match(r'^#.*', line) and len(line) > 1:
        l = line.split()
        i = int(l[0])
        t = float(l[1])
        s[i] = line[:-1]

follow.close()

astorb = open("astorb.dat", "r")
f = open("astorb_follow.dat.mea", "w")

i = 0
for line in astorb:
    i += 1
    num = line[0:6].strip()
    dsg = line[7:25].strip().replace(" ", "_")
    dsg2 = line[7:25].strip().replace(" ", "")
    comp = line[26:42].strip().replace(" ", "_")
    BV = line[54:58]
    D = line[59:64]
    tax = line[65:71]

    if len(num.strip()) == 0: num = "?"
    if len(BV.strip())  == 0: BV  = "?"
    if len(D.strip())   == 0: D   = "?"
    if len(tax.strip()) == 0: tax = "?"

    tmp = "%6s %-18s %-15s " % (num, dsg, comp) + line[42:54] + " %4s %5s %-6s " % (BV, D, tax) + line[72:147] + " " + line[147:168] + " " + line[168:-1]

    if i in s:
        f.write(tmp + "	" + s[i] + "\n")
    else:
        print i, " not found!"
        f.write(tmp + "	" + str(i) + " ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ?\n")


#    if num in s:
#        f.write(tmp + "	" + s[num] + "\n")
#    elif dsg2 in s:
#        f.write(tmp + "	" + s[dsg2] + "\n")
#    else:
#        f.write(tmp + "	?          ?      ?          ?         ?           ?            ?           ?             ?     ? \n")

astorb.close()
f.close()

